%define seaver 1.0.9

Summary:	GNOME2 Web browser based on Mozilla
Name:		galeon
Version:	2.0.3
Release:	4%{?dist}
License:	GPL
Group:		Applications/Internet
URL:		http://galeon.sourceforge.net/
Source0:	http://download.sourceforge.net/galeon/%{name}-%{version}%{?extraversion}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot-%(%{__id_u} -n)
Requires:	seamonkey = %{seaver}
BuildRequires:	gettext desktop-file-utils
BuildRequires:	gtk2-devel >= 2.4.0
BuildRequires:	gnome-desktop-devel
BuildRequires:	seamonkey-devel >= %{seaver}
BuildRequires:	seamonkey
BuildRequires:	libxml2-devel >= 2.6.6
BuildRequires:	libgnomeui-devel >= 2.5.2
BuildRequires:  perl(XML::Parser) scrollkeeper
BuildRequires:  intltool
Requires(post):   desktop-file-utils
Requires(postun): desktop-file-utils
Requires(pre):    GConf2
Requires(post):   GConf2
Requires(preun):  GConf2
Requires(post):   scrollkeeper
Requires(postun): scrollkeeper

%description
Galeon is a web browser built around Gecko (Mozilla's rendering
engine) and Necko (Mozilla's networking engine). It's a GNOME web
browser, designed to take advantage of as many GNOME technologies as
makes sense. Galeon was written to do just one thing - browse the web.


%prep
%setup -q -n %{name}-%{version}%{?extraversion}


%build
%configure \
	--disable-nautilus-view			\
	--disable-werror                        \
	--disable-schemas-install
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/galeon.desktop
rm -f $RPM_BUILD_ROOT%{_bindir}/galeon-config-tool
# Overriding galeon *bluecurve* icon
perl -pi -e 's|Icon=.+|Icon=%{_datadir}/pixmaps/galeon.png|g' galeon.desktop
desktop-file-install --vendor fedora \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications  \
    --add-category X-Fedora                     \
    --add-category Application                  \
    --add-category Internet	                \
    galeon.desktop
%find_lang galeon-2.0

find $RPM_BUILD_ROOT%{_libdir} -name \*.la -exec rm {} \;


%clean
rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :
update-desktop-database > /dev/null 2>&1 || :

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/galeon.schemas > /dev/null || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/galeon.schemas > /dev/null || :
fi

%postun
scrollkeeper-update -q || :
update-desktop-database > /dev/null 2>&1 || :


%files -f galeon-2.0.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING.README ChangeLog NEWS README INSTALL THANKS TODO FAQ FAQ.html README.ExtraPrefs
%config %{_sysconfdir}/gconf/schemas/galeon.schemas
%config %{_sysconfdir}/sound/events/galeon.soundlist
%{_bindir}/galeon
%{_mandir}/man1/galeon.1*
%{_datadir}/galeon
%{_datadir}/gnome/help/galeon
%{_datadir}/pixmaps/galeon.png
%{_datadir}/sounds/galeon
%{_datadir}/gnome-2.0/ui/galeon-bookmarks-editor-ui.xml
%{_datadir}/gnome-2.0/ui/nautilus-galeon-view-ui.xml
%{_datadir}/omf/galeon
%{_libdir}/bonobo/servers/GNOME_Galeon_Automation.server
%{_libdir}/bonobo/servers/GNOME_Galeon_NautilusView.server
%{_datadir}/applications/*galeon.desktop


%changelog
* Thu May 31 2007 Denis Leroy <denis@poolshark.org> - 2.0.3-4
- Rebuild for seamonkey 1.0.9

* Tue Feb 27 2007 Denis Leroy <denis@poolshark.org> - 2.0.3-2
- Rebuild for seamonkey 1.0.8

* Sun Jan  7 2007 Denis Leroy <denis@poolshark.org> - 2.0.3-2
- Switch to seamonkey build, drop mozilla dependencies
- Removed gconfd-2 HUP kill

* Mon Sep 18 2006 Denis Leroy <denis@poolshark.org> - 2.0.3-1
- Update to 2.0.3
- Removed x86_64 autoreconf

* Mon Sep 18 2006 Denis Leroy <denis@poolshark.org> - 2.0.2-1
- Update to 2.0.2

* Wed May  3 2006 Denis Leroy <denis@poolshark.org> - 2.0.1-4
- Bumping up release to be >= that of FC-4

* Wed May  3 2006 Denis Leroy <denis@poolshark.org> - 2.0.1-2
- Rebuild for mozilla 1.7.13

* Tue Feb 28 2006 Denis Leroy <denis@poolshark.org> - 2.0.1-1
- Update to 2.0.1

* Sun Dec  4 2005 Denis Leroy <denis@poolshark.org> - 2.0.0-2
- Fixed preun script, was removing schemas after update.
- Removed galeon-config-tool. Now using well-known Fedora scriptlets.
- Added scripts Requires

* Mon Nov 28 2005 Denis Leroy <denis@poolshark.org> - 2.0.0-1
- Update to 2.0.0

* Wed Oct 19 2005 Denis Leroy <denis@poolshark.org> - 1.3.21-14
- Rebuilt for mozilla 1.7.12

* Mon Oct  3 2005 Denis Leroy <denis@poolshark.org> - 1.3.21-14
- Update to 1.3.21
- Got rid of requires with rpm -q for ppc build
- Added dist tag
- Removed autoreconf patch
- Added gnome-desktop-devel buildrequires. Added calls to update-desktop-database

* Mon May 02 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 1.3.20-2
- Add autoreconf-Patch for fix build on x86_64
- Add distag fc4 so this version is higher than the one for fc3

* Wed Mar 16 2005 Dams <anvil[AT]livna.org> - 1.3.20-1
- Updated to 1.3.20

* Sun Jan 23 2005 Dams <anvil[AT]livna.org> - 0:1.3.19-2
- Urlized Source0

* Sun Jan 23 2005 Dams <anvil[AT]livna.org> 0:1.3.19-1
- Rebuilt for Extras

* Sun Jan 16 2005 Dams <anvil[AT]livna.org> 0:1.3.19-0.fdr.1
- Updated to 1.3.19
- Removed old mkinstalldirs fix

* Wed Oct 27 2004 Dams <anvil[AT]livna.org> 0:1.3.18-0.fdr.1
- Updated to 1.3.18

* Thu Sep 30 2004 Dams <anvil[AT]livna.org> 0:1.3.17-0.fdr.2
- Requiring versioned mozilla as it's borked otherwise.

* Mon Aug  9 2004 Dams <anvil[AT]livna.org> 0:1.3.17-0.fdr.1
- Updated to 1.3.17
- Dropped patch0
- Updated version requirement for build dependencies

* Sat Aug  7 2004 Dams <anvil[AT]livna.org> 0:1.3.16-0.fdr.2
- Rebuild

* Sat Jul  3 2004 Dams <anvil[AT]livna.org> 0:1.3.16-0.fdr.1
- Updated to 1.3.16
- Fixed preun scriptlet

* Wed Jun  2 2004 Dams <anvil[AT]livna.org> 0:1.3.15-0.fdr.1
- Updated to 1.3.15

* Sun Mar 21 2004 Dams <anvil[AT]livna.org> 0:1.3.14-0.fdr.1
- Updated to 1.3.14

* Tue Feb 17 2004 Dams <anvil[AT]livna.org> 0:1.3.13-0.fdr.1
- Updated to 1.3.13
- Fixed build (missing mkinstalldirs..)

* Fri Jan  9 2004 Dams <anvil[AT]livna.org> 0:1.3.11-0.fdr.5.a.fixed
- Added Requires:mozilla (non-versioned)

* Thu Jan  8 2004 Dams <anvil[AT]livna.org> 0:1.3.11-0.fdr.4.a.fixed
- Removing schemas in preun

* Sat Dec 20 2003 Dams <anvil[AT]livna.org> 0:1.3.11-0.fdr.3.a-fixed
- Updated to 1.3.11a-fixed

* Fri Dec 19 2003 Dams <anvil[AT]livna.org> 0:1.3.11-0.fdr.2.a
- Updated to 1.3.11a
- Fix broken build

* Thu Dec 18 2003 Dams <anvil[AT]livna.org> 0:1.3.11-0.fdr.1
- Updated to 1.3.11

* Sat Nov 15 2003 Dams <anvil[AT]livna.org> 0:1.3.10-0.fdr.6
- Removing .la files in libdir

* Sat Nov  8 2003 Dams <anvil[AT]livna.org> 0:1.3.10-0.fdr.5
- Added missing directory
- Overriding icon in desktop entry

* Sat Nov  8 2003 Dams <anvil[AT]livna.org> 0:1.3.10-0.fdr.4
- Added missing nautilus buildRequires

* Sun Nov  2 2003 Dams <anvil[AT]livna.org> 0:1.3.10-0.fdr.3
- Patch0 : fix mozilla home dectection

* Thu Oct 30 2003 Michael Schwendt <rh0212ms[AT]arcor.de> - 0:1.3.10-0.fdr.2
- Fix conditional nautilus build

* Mon Oct 27 2003 Dams <anvil[AT]livna.org> 0:1.3.10-0.fdr.1
- Updated to 1.3.10
- Dropped patches (applied upstream)

* Sat Oct 18 2003 Dams <anvil[AT]livna.org> 0:1.3.9-0.fdr.3
- Include mozapi patch to fix build with mozilla 1.4.1
- Include mimeicons, mozdetect, and pointer-arithmetics patches from
  CVS (from Nils Philippsen <nphilipp@redhat.com> galeon package)

* Thu Oct  2 2003 Dams <anvil[AT]livna.org> 0:1.3.9-0.fdr.2
- s/Copyright/License
- Now using galeon real png for desktop entry (not the bluecurve one..)
- Using fedora buildroot
- Hopefully fixed build for mozilla 1.4.1
- Moved desktop entry install to install section
- Changed tarball and spec file permissions

* Tue Sep 16 2003 Dams <anvil[AT]livna.org> 0:1.3.9-0.fdr.1
- Updated to 1.3.9
- Version for mozilla-devel must be >= 1.4 now.

* Sat Sep 13 2003 Dams <anvil[AT]livna.org> 0:1.3.8-0.fdr.2
- Added version in BuildRequires for mozilla-devel
- scrollkeeper now is Requires(post,postun). Modified scriptlets.

* Thu Sep 11 2003 Dams <anvil[AT]livna.org> 0:1.3.8-0.fdr.1
- Updated to 1.3.8

* Wed Jul 23 2003 Dams <anvil[AT]livna.org> 0:1.3.7-0.fdr.1
- Based upon upstream spec file, applied fedora spec file look&feel
